//   Copyright 2007, 2008 Nicolas Dubuit
//
//     This file is part of Immix.
//
//     Immix is free software: you can redistribute it and/or modify
//     it under the terms of the GNU General Public License as published by
//     the Free Software Foundation, either version 3 of the License, or
//     (at your option) any later version.
//
//     This program is distributed in the hope that it will be useful,
//     but WITHOUT ANY WARRANTY; without even the implied warranty of
//     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//     GNU General Public License for more details.
//
//     You should have received a copy of the GNU General Public License
//     along with this program.  If not, see <http://www.gnu.org/licenses/>.

#include <QtSvg>
#include <QPushButton>

class ImmixWin ;

class InitialWindow : public QWidget
{
Q_OBJECT
    ImmixWin* imw ;
    QLabel* lab ;
    QPushButton* pb ;
    QSvgRenderer * renderer ;

public :
    InitialWindow (ImmixWin* immixW, const QString& file, QWidget* parent=0) ;

public :
    void resizeEvent (QResizeEvent *) ;
    void dragEnterEvent(QDragEnterEvent *);
    void dragMoveEvent(QDragMoveEvent *);
    void dropEvent(QDropEvent *);
    void paintEvent(QPaintEvent *) ;
 
public slots :
    void getFiles (void) ;
} ;

